Skip to main content
`Ctrl`+`K`

# VecWhichBetweenOrEqual

Creates an index set containing the indices where `VecLow` <= `V` <= `VecHigh`

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecWhichBetweenOrEqual(Vec VecLow, Vec V, Vec VecHigh, IS *S)

Collective

## Input Parameters

- VecLow - lower bound

- V - Vector to compare

- VecHigh - higher bound

## Output Parameter

- S - The index set containing the indices i where veclow[i] <= v[i] <= vechigh[i]

## See Also

`Vec`

## Level

advanced

## Location

src/vec/vec/utils/projection.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages